<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
  <title>fwConfigs: Peripheral Address Config Panel</title>
  <meta http-equiv="Content-Type"
 content="text/html; charset=iso-8859-1">
</head>
<body>
<p>&nbsp;</p>
<table border="1" width="95%">
  <tbody>
    <tr valign="top">
      <td bgcolor="#00cc00" width="22%"><strong>Panel Name</strong></td>
      <td colspan="2" width="78%">
      <p>fwPeriphAddress.pnl</p>
      </td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00"><strong>Introduction<br>
      </strong></td>
      <td colspan="2">
      <p>This panel is used to set up the peripheral address configuration for
        a data point element. The panel shows the
        current peripheral address configuration when loaded.</p>
      <p>The panel provides support for addressing using DIM, DIP, OPC and MODBUS.</p></td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00"><strong>Instructions</strong></td>
      <td colspan="2"><p>When configuring the peripheral address for a data point
          element  you should first choose the addressing type from the combo
          box in the top left. Then, depending on your choise, the required configuration
          options will appear.</p>
        <p>For <strong>DIM</strong> addresses (see <a href="#figure1">figure</a>),
          you should first select the DIM configuration data point to use to
          store your configuration. There is a list presented in a combo box
          - you can refresh the list by pressing the &quot;Refresh&quot; button. Then,
           you should choose whether you are subscribing to a DIM command or
          DIM service by using the radio button. For a DIM command, you just
          need to enter
          the
          name of the  command in the &quot;DIM Command&quot; text field. For DIM services,
          you need to enter the name of the service in the &quot;DIM Service&quot; field
          but you should some more details. You should enter a default valuem
          the desired update interval (0 if you want only on change) and you
          can also select using the check boxes whether you want time stamps
          and quality flags and if you want an update when you connected.</p>
        <p>For <strong>DIP</strong> addresses (see <a href="#figure2">figure</a>),
          you should first select the DIP configuration data point to use to
        store your configuration. Then you should enter the name of the  item
          that you want to subscribe to in the &quot;DIP Item&quot; text field
          . If the DIP item is
          primitive, make sure the &quot;Specify Tag&quot; check box is unchecked. If the
          DIP item
          is structured,
          check the &quot;Specify Tag&quot; check box and enter the name of the tag within
          the structure in the &quot;Tag Name&quot; field.</p>
        <p>For <strong>OPC</strong> addresses (see <a href="#figure3">figure</a>),
          you should first select the driver number of the PVSS OPC client which
          will handle the data. Then, choose the required OPC Server and OPC
          Group from the combo boxes. Then choose the direction of communication
          (in, out or in/out). The &quot;Data Type&quot; combo box can be used
          to choose a data translation type, but it can also be left as default
          and the
          translation will be chosen automatically. To filter with a low level
          comparison on the data, you can check the
          &quot;low
          level
          comparison&quot;
          check
          box. Then
          at the
          bottom
          of the panel you should select the required OPC Item. If the item is
          not visible in the list you may need to press the &quot;Refresh IDs&quot; button.
          For more details on OPC addressing, see the PVSS online help (Drivers
          -&gt; OPC Data Access -&gt; OPC Client -&gt; Panels for parameterization
          -&gt; Panel OPC address).</p>
        <p>If you want the address to be active, make sure that the &quot;Address
          Active&quot; checkbox is checked. With this unchecked, the configuration
          is saved but is not active.</p>        <p>The &quot;OPC Driver Configuration&quot; button takes you to the standard PVSS
          panel where you can configure the OPC client settings and the OPC group
          settings.</p>
          <p>For <strong>MODBUS</strong> addresses (see <a href="#figure4">figure</a>),
          you should first select the driver number of the PVSS MODBUS driver
          which will handle the data. Then you can either choose to enter the
            MODBUS reference directly in the relevant field, or you can adjust
            the other settings and the reference will be calculated for you automatically.
            The transformation type for the data can be chosen and a subindex
            can be specified if necessary.  To filter with a low level
          comparison on the data, you can check the
          &quot;low level comparison&quot; check box. If &quot;Polling&quot; mode
          is chosen, you will need to specify a polling group from the combo
          box. Pressing
          the &quot;Poll Groups...&quot; button opens the standard PVSS panel
          for configuring the polling groups. For more details on MODBUS addressing,
          see the PVSS online help (Driver -&gt; Modbus/TCP -&gt; Defining the peripheral
          addresses of the Modbus/TCP driver).</p>
          <p>If you want the address to be active, make sure that the &quot;Address
            Active&quot; checkbox is checked. With this unchecked, the configuration
          is saved but is not active.</p>
          <p>&nbsp;</p>        <p>To delete the peripheral address configuration on the data point element,
          choose &quot;None&quot; from the combo box in the top left of the panel and
          then press either OK or Apply.</p>
        <p>&nbsp;</p></td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00"><strong>Restrictions</strong></td>
      <td colspan="2"><p>The panel only supports  addressing using
          DIM, DIP, OPC and MODBUS.</p>
        <p>The panel can only read and write to peripheral address configs of
          data point elements if the relevant peripheral address driver number
          is
          running.
          If a data point element is configured with
          a peripheral address that has a driver number, say 7. Then a driver
          or SIM manager -num 7 must be running in order to save or read the
          peripheral address configuration.<br>
        </p></td>
    </tr>
  </tbody>
</table>
<p>&nbsp;</p>
<a name="figure1"></a>
<table width="647" height="443" border="0" align="center">
  <tbody>
    <tr>
      <td>
        <div align="center"><img
 src="fwPeriphAddress-DIM.jpg" alt="Panel screenshot" width="646" height="442" style="width: 646px; height: 442px;"></div>
      </td>
    </tr>
  </tbody>
</table>
<p>&nbsp;</p>
<a name="figure2"></a>
<table width="647" height="443" border="0" align="center">
  <tbody>
    <tr>
      <td>
        <div align="center"><img
 src="fwPeriphAddress-DIP.jpg" alt="Panel screenshot" width="646" height="442" style="width: 646px; height: 442px;"></div>
      </td>
    </tr>
  </tbody>
</table>
<p>&nbsp;</p>
<a name="figure3"></a>
<table width="647" height="443" border="0" align="center">
  <tbody>
    <tr>
      <td>
        <div align="center"><img
 src="fwPeriphAddress-OPC.jpg" alt="Panel screenshot" width="646" height="442" style="width: 646px; height: 442px;"></div>
      </td>
    </tr>
  </tbody>
</table>
<p>&nbsp;</p>
<a name="figure4"></a>
<table width="647" height="443" border="0" align="center">
  <tbody>
    <tr>
      <td>
        <div align="center"><img
 src="fwPeriphAddress-MODBUS.jpg" alt="Panel screenshot" width="646" height="442" style="width: 646px; height: 442px;"></div>
      </td>
    </tr>
  </tbody>
</table>
<p>&nbsp;</p>
<p>&nbsp;</p>
<table border="1" width="95%">
  <tbody>
    <tr bgcolor="#00cc00">
      <td colspan="3"><strong>Dollar Parameters</strong></td>
    </tr>
    <tr bgcolor="#00cc00">
      <td width="23%"><strong>Name</strong></td>
      <td width="62%"><strong>Description</strong></td>
      <td width="15%">&nbsp;</td>
    </tr>
    <tr>
      <td>$sDpe</td>
      <td><p>The name of the data point element to configure.<br>
        </p>
      </td>
      <td>Required</td>
    </tr>
    <tr>
      <td>$bHierarchyBrowser</td>
      <td><p>Controls the position and visibility of the OK, Apply and Cancel
          buttons.</p>
      <p>TRUE - Shows Apply button only.<br>
      FALSE - Shows OK, Apply and Cancel button.</p></td>
      <td>Required<br>
      </td>
    </tr>
  </tbody>
</table>
<br>
</body>
</html>
